Class | Merb::BootLoader
In: | lib/merb-core/bootloader.rb
Parent: | Object

### Methods

after after_app_loads before before_app_loads before_master_shutdown before_worker_shutdown default_framework finished? inherited move_klass run

### Classes and Modules

Class Merb::BootLoader::AfterAppLoads
Class Merb::BootLoader::BackgroundServices
Class Merb::BootLoader::BeforeAppLoads
Class Merb::BootLoader::BuildFramework
Class Merb::BootLoader::ChooseAdapter
Class Merb::BootLoader::Cookies
Class Merb::BootLoader::Defaults
Class Merb::BootLoader::Dependencies
Class Merb::BootLoader::DropPidFile
Class Merb::BootLoader::LoadClasses
Class Merb::BootLoader::Logger
Class Merb::BootLoader::MimeTypes
Class Merb::BootLoader::MixinSession
Class Merb::BootLoader::RackUpApplication
Class Merb::BootLoader::ReloadClasses
Class Merb::BootLoader::Router
Class Merb::BootLoader::SetupSession
Class Merb::BootLoader::SetupStubClasses
Class Merb::BootLoader::Templates

### Public Class methods

after(klass)

Execute this boot loader after the specified boot loader.

#### Parameters

klass<~to_s>: | The boot loader class after which this boot loader should be run.

#### Returns

nil

:api: plugin

after_app_loads(&block)

Execute a block of code after the app loads.

#### Parameters

&block: | A block to be added to the callbacks that will be executed after the app loads.

:api: public

before(klass)

Execute this boot loader before the specified boot loader.

#### Parameters

klass<~to_s>: | The boot loader class before which this boot loader should be run.

#### Returns

nil

:api: plugin

before_app_loads(&block)

Execute a block of code before the app loads but after dependencies load.

#### Parameters

&block: | A block to be added to the callbacks that will be executed before the app loads.

:api: public

before_master_shutdown(&block)

Execute a block of code before master process is shut down. Only makes sense on platforms where Merb server can use forking.

#### Parameters

&block: | A block to be added to the callbacks that will be executed before master process is shut down.

:api: public

before_worker_shutdown(&block)

Execute a block of code before worker process is shut down. Only makes sense on platforms where Merb server can use forking.

#### Parameters

&block: | A block to be added to the callbacks that will be executed before worker process is shut down.

:api: public

default_framework()

Set up the default framework

#### Returns

nil

:api: plugin @overridable

finished?(bootloader)

Determines whether or not a specific bootloader has finished yet.

#### Parameters

bootloader<String, Class>: | The name of the bootloader to check.

#### Returns

Boolean: | Whether or not the bootloader has finished.

:api: private

inherited(klass)

Adds the inheriting class to the list of subclasses in a position specified by the before and after methods.

#### Parameters

klass<Class>: | The class inheriting from Merb::BootLoader.

#### Returns

nil

:api: plugin

move_klass(klass, where)

Move a class that is inside the bootloader to some place in the Array, relative to another class.

#### Parameters

klass<~to_s>: | The klass to move the bootloader relative to
where<Integer>: | 0 means insert it before; 1 means insert it after

#### Returns

nil

:api: private

run()

Runs all boot loader classes by calling their run methods.

#### Returns

nil

:api: plugin

[Validate]